/**
  ******************************************************************************
  * @file    vk1640B_driver.h
  * @author  kevin_guo
  * @version V1.0.0
  * @date    07-01-2019
  * @brief   This file contains definitions for vk1640B_driver.
  ******************************************************************************
  * @attention
  ******************************************************************************  
  */
#ifndef __VK1640B_DRIVER_H__
#define __VK1640B_DRIVER_H__

#include "M451Series.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/
#define 	VK1640B_CLK_PIN   BIT0
#define 	VK1640B_CLK_PORT  PA
#define 	VK1640B_CLK_IO    PA0

#define 	VK1640B_DIO_PIN   BIT1
#define 	VK1640B_DIO_PORT  PD
#define 	VK1640B_DIO_IO    PD1


#define   VK1640B_SLK_HIGH     VK1640B_CLK_IO = 1  
#define   VK1640B_SLK_LOW      VK1640B_CLK_IO = 0  
  
#define   VK1640B_DAT_HIGH     VK1640B_DIO_IO = 1  
#define   VK1640B_DAT_LOW      VK1640B_DIO_IO = 0   
 

#define   VK1640B_STARTADDR		0XC0 

#define   VK1640B_WRDTA_AUTOADD1ADDR    0x40  
#define   VK1640B_WRDTA_FIXEDADDR     	0x44   

#define 	VK1640B_DISP_ON        0X88  //ʾ
#define 	VK1640B_DISP_OFF		   0x80  //ʾ  
/*0x88,0x89,0x8a,0x8b,0x8c,0x8d,0x8e,0x8f ֱӦ
1/16,  2/16,  4/16,  10/16, 11/16, 12/16, 13/16, 14/16  */ 
#define 	VK1640B_PDUTY_1_16      0X80  //ʾΪ1/16  
#define 	VK1640B_PDUTY_2_16      0X81  //ʾΪ2/16  
#define 	VK1640B_PDUTY_4_16      0X82  //ʾΪ4/16  
#define 	VK1640B_PDUTY_10_16     0X83  //ʾΪ10/16  
#define 	VK1640B_PDUTY_11_16     0X84  //ʾΪ11/16  
#define 	VK1640B_PDUTY_12_16     0X85  //ʾΪ12/16  
#define 	VK1640B_PDUTY_13_16     0X86  //ʾΪ13/16  
#define 	VK1640B_PDUTY_14_16     0X87  //ʾΪ14/16  
 
/* Exported functions ------------------------------------------------------- */
void VK1640B_Init(void);  
void VK1640B_Disp_AutoAdd1Addr(uint8_t addr,uint8_t* databuf, uint8_t num);
void VK1640B_Disp_FixedAddr(uint8_t addr, uint8_t data8);
void  VK1640B_Main(void);
#endif  /*__VK1640B_DRIVER_H__*/

/************************END OF FILE****/
